Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class AnnotationParser.MyAnnotationVisitor

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationParser.MyAnnotationVisitor

All Implemented Interfaces:
  org.objectweb.asm.AnnotationVisitor

Enclosing class:
  AnnotationParser

    public class AnnotationParser.MyAnnotationVisitor

extends java.lang.Object
implements org.objectweb.asm.AnnotationVisitor

Constructor Summary
`AnnotationParser.MyAnnotationVisitor(java.lang.String annotationName, java.util.List<AnnotationParser.Value> values)`

Method Summary
`java.util.List<AnnotationParser.Value>` | `getAnnotationValues()`
`void` | `visit(java.lang.String aname, java.lang.Object avalue)` Visit a single-valued (name,value) pair for this annotation
`org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String name, java.lang.String desc)` Visit a (name,value) pair whose value is another Annotation
`org.objectweb.asm.AnnotationVisitor` | `visitArray(java.lang.String name)` Visit an array valued (name, value) pair for this annotation
`void` | `visitEnd()`
`void` | `visitEnum(java.lang.String name, java.lang.String desc, java.lang.String value)` Visit a enum-valued (name,value) pair for this annotation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationParser.MyAnnotationVisitor

    public AnnotationParser.MyAnnotationVisitor(java.lang.String annotationName,
                                                java.util.List<AnnotationParser.Value> values)

Method Detail

### getAnnotationValues

    public java.util.List<AnnotationParser.Value> getAnnotationValues()

### visit

    public void visit(java.lang.String aname,
                      java.lang.Object avalue)

  Visit a single-valued (name,value) pair for this annotation

  Specified by:
    `visit` in interface `org.objectweb.asm.AnnotationVisitor`
  See Also:
    `AnnotationVisitor.visit(java.lang.String, java.lang.Object)`

### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String name,
                                                               java.lang.String desc)

  Visit a (name,value) pair whose value is another Annotation

  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.AnnotationVisitor`
  See Also:
    `AnnotationVisitor.visitAnnotation(java.lang.String, java.lang.String)`

### visitArray

    public org.objectweb.asm.AnnotationVisitor visitArray(java.lang.String name)

  Visit an array valued (name, value) pair for this annotation

  Specified by:
    `visitArray` in interface `org.objectweb.asm.AnnotationVisitor`
  See Also:
    `AnnotationVisitor.visitArray(java.lang.String)`

### visitEnum

    public void visitEnum(java.lang.String name,
                          java.lang.String desc,
                          java.lang.String value)

  Visit a enum-valued (name,value) pair for this annotation

  Specified by:
    `visitEnum` in interface `org.objectweb.asm.AnnotationVisitor`
  See Also:
    `AnnotationVisitor.visitEnum(java.lang.String, java.lang.String, java.lang.String)`

### visitEnd

    public void visitEnd()

  Specified by:
    `visitEnd` in interface `org.objectweb.asm.AnnotationVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.